MONGOC_CLIENT_SESSION_ADVANCE_CLUSTER_TIME(3)

NAME
mongoc_client_session_advance_cluster_time - mongoc_client_session_advance_cluster_time()

SYNOPSIS

void
mongoc_client_session_advance_cluster_time (mongoc_client_session_t *session,
                                            const bson_t *cluster_time);

Advance the cluster time for a session. Has an effect only if the new cluster time is greater than the session's current cluster time.

Use mongoc_client_session_advance_operation_time and mongoc_client_session_advance_cluster_time to copy the operationTime and clusterTime from another session, ensuring subsequent operations in this session are causally consistent with the last operation in the other session

PARAMETERS

•   session: A mongoc_client_session_t.

•   cluster_time: The session's new cluster time, as a bson_t like {"cluster time": <timestamp>}.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc